## tree-sitter-vimdoc 2.0.0

=== Makefile ===
all:
	npm run build
	npm run test

=== debian/changelog ===
tree-sitter-vimdoc (2.0.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/copyright: Add stanza for src/tree_sitter
  * Add comment about provenance of src/tree_sitter/parser.h

 -- James McCoy <jamessan@debian.org>  Thu, 25 Jan 2024 08:01:20 -0500

tree-sitter-vimdoc (2.0.0-1) experimental; urgency=medium

  * Initial debianization. (Closes: #1052202)

 -- James McCoy <jamessan@debian.org>  Sun, 08 Oct 2023 22:06:11 -0400

=== debian/control ===
Source: tree-sitter-vimdoc
Priority: optional
Maintainer: Tree-sitter Team <team+tree-sitter@tracker.debian.org>
Uploaders:
 James McCoy <jamessan@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 nodejs,
 tree-sitter-cli,
Standards-Version: 4.6.2
Section: libs
Homepage: https://github.com/neovim/tree-sitter-vimdoc/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/tree-sitter-team/tree-sitter-vimdoc.git
Vcs-Browser: https://salsa.debian.org/tree-sitter-team/tree-sitter-vimdoc

Package: tree-sitter-vimdoc-src
Architecture: all
Depends:
 ${misc:Depends},
 g++,
 libtree-sitter-dev,
 pkg-config,
Description: Vim help file parser for Tree-sitter (source files)
 This package contains the generated source files for building the Vim help
 file parser shared object.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_VERSION_UPSTREAM
export TREE_SITTER_SRC_DIR = /usr/src/tree-sitter/vimdoc/${DEB_VERSION_UPSTREAM}/

%:
	dh $@

debian/%: debian/%.in
	sed "s/@PARSER_VER@/$(DEB_VERSION_UPSTREAM)/g" $< > $@

override_dh_auto_build:
	tree-sitter generate --no-bindings

override_dh_install: debian/Makefile
	dh_install

override_dh_auto_test:
	XDG_CACHE_HOME=$(CURDIR)/debian/.cache tree-sitter test

=== debian/tests/control ===
Tests: smoke
Depends: tree-sitter-cli, tree-sitter-vimdoc-src

## tree-sitter-vimdoc 3.0.0

=== Makefile ===
VERSION := 3.0.0

LANGUAGE_NAME := tree-sitter-vimdoc

# repository
SRC_DIR := src

PARSER_REPO_URL := $(shell git -C $(SRC_DIR) remote get-url origin 2>/dev/null)

ifeq ($(PARSER_URL),)
	PARSER_URL := $(subst .git,,$(PARSER_REPO_URL))
ifeq ($(shell echo $(PARSER_URL) | grep '^[a-z][-+.0-9a-z]*://'),)
	PARSER_URL := $(subst :,/,$(PARSER_URL))
	PARSER_URL := $(subst git@,https://,$(PARSER_URL))
endif
endif

TS ?= tree-sitter

# ABI versioning
SONAME_MAJOR := $(word 1,$(subst ., ,$(VERSION)))
SONAME_MINOR := $(word 2,$(subst ., ,$(VERSION)))

# install directory layout
PREFIX ?= /usr/local
INCLUDEDIR ?= $(PREFIX)/include
LIBDIR ?= $(PREFIX)/lib
PCLIBDIR ?= $(LIBDIR)/pkgconfig

# source/object files
SRCS := $(wildcard $(SRC_DIR)/*.c)
OBJS := $(patsubst %.c,%.o,$(SRCS))

# flags
ARFLAGS := rcs
override CFLAGS += -I$(SRC_DIR) -std=c11 -fPIC

# OS-specific bits
ifeq ($(OS),Windows_NT)
	$(error "Windows is not supported")
else ifeq ($(shell uname),Darwin)
	SOEXT = dylib
	SOEXTVER_MAJOR = $(SONAME_MAJOR).dylib
	SOEXTVER = $(SONAME_MAJOR).$(SONAME_MINOR).dylib
	LINKSHARED := $(LINKSHARED)-dynamiclib -Wl,
	ifneq ($(ADDITIONAL_LIBS),)
	LINKSHARED := $(LINKSHARED)$(ADDITIONAL_LIBS),
	endif
	LINKSHARED := $(LINKSHARED)-install_name,$(LIBDIR)/lib$(LANGUAGE_NAME).$(SONAME_MAJOR).dylib,-rpath,@executable_path/../Frameworks
else
	SOEXT = so
	SOEXTVER_MAJOR = so.$(SONAME_MAJOR)
	SOEXTVER = so.$(SONAME_MAJOR).$(SONAME_MINOR)
	LINKSHARED := $(LINKSHARED)-shared -Wl,
	ifneq ($(ADDITIONAL_LIBS),)
	LINKSHARED := $(LINKSHARED)$(ADDITIONAL_LIBS)
	endif
	LINKSHARED := $(LINKSHARED)-soname,lib$(LANGUAGE_NAME).so.$(SONAME_MAJOR)
endif
ifneq ($(filter $(shell uname),FreeBSD NetBSD DragonFly),)
	PCLIBDIR := $(PREFIX)/libdata/pkgconfig
endif

all: lib$(LANGUAGE_NAME).a lib$(LANGUAGE_NAME).$(SOEXT) $(LANGUAGE_NAME).pc

lib$(LANGUAGE_NAME).a: $(OBJS)
	$(AR) $(ARFLAGS) $@ $^

lib$(LANGUAGE_NAME).$(SOEXT): $(OBJS)
	$(CC) $(LDFLAGS) $(LINKSHARED) $^ $(LDLIBS) -o $@
ifneq ($(STRIP),)
	$(STRIP) $@
endif

$(LANGUAGE_NAME).pc: bindings/c/$(LANGUAGE_NAME).pc.in
	sed  -e 's|@URL@|$(PARSER_URL)|' \
		-e 's|@VERSION@|$(VERSION)|' \
		-e 's|@LIBDIR@|$(LIBDIR)|' \
		-e 's|@INCLUDEDIR@|$(INCLUDEDIR)|' \
		-e 's|@REQUIRES@|$(REQUIRES)|' \
		-e 's|@ADDITIONAL_LIBS@|$(ADDITIONAL_LIBS)|' \
		-e 's|=$(PREFIX)|=$${prefix}|' \
		-e 's|@PREFIX@|$(PREFIX)|' $< > $@

$(SRC_DIR)/parser.c: grammar.js
	$(TS) generate --no-bindings

install: all
	install -Dm644 bindings/c/$(LANGUAGE_NAME).h '$(DESTDIR)$(INCLUDEDIR)'/tree_sitter/$(LANGUAGE_NAME).h
	install -Dm644 $(LANGUAGE_NAME).pc '$(DESTDIR)$(PCLIBDIR)'/$(LANGUAGE_NAME).pc
	install -Dm755 lib$(LANGUAGE_NAME).a '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).a
	install -m755 lib$(LANGUAGE_NAME).$(SOEXT) '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXTVER)
	ln -sf lib$(LANGUAGE_NAME).$(SOEXTVER) '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXTVER_MAJOR)
	ln -sf lib$(LANGUAGE_NAME).$(SOEXTVER_MAJOR) '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXT)

uninstall:
	$(RM) '$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).a \
		'$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXTVER) \
		'$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXTVER_MAJOR) \
		'$(DESTDIR)$(LIBDIR)'/lib$(LANGUAGE_NAME).$(SOEXT) \
		'$(DESTDIR)$(INCLUDEDIR)'/tree_sitter/$(LANGUAGE_NAME).h \
		'$(DESTDIR)$(PCLIBDIR)'/$(LANGUAGE_NAME).pc

clean:
	$(RM) $(OBJS) $(LANGUAGE_NAME).pc lib$(LANGUAGE_NAME).a lib$(LANGUAGE_NAME).$(SOEXT)

test:
	$(TS) test

parser/vimdoc.so: CFLAGS += -Os -shared
parser/vimdoc.so: $(SRCS)
	@mkdir -p parser
	$(CC) $(CFLAGS) $^ -o $@

.PHONY: all install uninstall clean test

=== debian/changelog ===
tree-sitter-vimdoc (3.0.0-3deepin1) unstable; urgency=medium

  * Fix tests: adapt expected to heading changes
    https://github.com/neovim/tree-sitter-vimdoc/pull/140

 -- Cryolitia <liziyao@uniontech.com>  Thu, 17 Apr 2025 16:01:47 +0800

tree-sitter-vimdoc (3.0.0-3) unstable; urgency=medium

  * Add libc-dev and make to tree-sitter-vimdoc-src Depends
  * Add cargo and rustc explicitly to Build-Depends

 -- James McCoy <jamessan@debian.org>  Sun, 16 Mar 2025 22:25:14 -0400

tree-sitter-vimdoc (3.0.0-2) unstable; urgency=medium

  * Upload to unstable
  * Add librust-cc-dev to Build-Depends
  * Revert "Switch branch to debian/experimental"
  * Declare compliance with Policy 4.7.2, no changes needed

 -- James McCoy <jamessan@debian.org>  Sat, 08 Mar 2025 14:46:18 -0500

tree-sitter-vimdoc (3.0.0-1) experimental; urgency=medium

  * New upstream release
  * Switch pkg-config Depends to pkgconf
  * Adapt shared object build from C++ to C
  * Include src/tree_sitter/ in the package
  * Add salsa-ci.yml config
  * Switch branch to debian/experimental
  * Bump minimum version of tree-sitter (Build-)Depends to 0.21
  * Add librust-tree-sitter-vimdoc-dev package
  * d/clean: Add trailing slash to debian/.cache/ (Closes: #1061223)

 -- James McCoy <jamessan@debian.org>  Wed, 25 Dec 2024 16:38:06 -0500

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,15 @@
 Uploaders:
  James McCoy <jamessan@debian.org>,
 Build-Depends:
+ cargo:native,
  debhelper-compat (= 13),
+ dh-sequence-rust,
+ librust-cc-1+default-dev (>= 1.0.89),
+ librust-tree-sitter-0+default-dev (>= 0.21),
  nodejs,
- tree-sitter-cli,
-Standards-Version: 4.6.2
+ rustc:native,
+ tree-sitter-cli (>= 0.21),
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/neovim/tree-sitter-vimdoc/
 Rules-Requires-Root: no
@@ -18,9 +23,35 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- g++,
- libtree-sitter-dev,
- pkg-config,
+ gcc,
+ libc6-dev | libc-dev,
+ libtree-sitter-dev (>= 0.21),
+ make,
+ pkgconf,
 Description: Vim help file parser for Tree-sitter (source files)
  This package contains the generated source files for building the Vim help
  file parser shared object.
+
+Package: librust-tree-sitter-vimdoc-dev
+Section: rust
+Architecture: any
+Multi-Arch: same
+Depends:
+ librust-cc-1+default-dev (>= 1.0.89),
+ librust-tree-sitter-0+default-dev (>= 0.21),
+ ${misc:Depends},
+Provides:
+ librust-tree-sitter-vimdoc+default-dev (= ${binary:Version}),
+ librust-tree-sitter-vimdoc-3-dev (= ${binary:Version}),
+ librust-tree-sitter-vimdoc-3+default-dev (= ${binary:Version}),
+ librust-tree-sitter-vimdoc-3.0-dev (= ${binary:Version}),
+ librust-tree-sitter-vimdoc-3.0+default-dev (= ${binary:Version}),
+ librust-tree-sitter-vimdoc-3.0.0-dev (= ${binary:Version}),
+ librust-tree-sitter-vimdoc-3.0.0+default-dev (= ${binary:Version}),
+Description: Vimdoc grammar for the tree-sitter parser - Rust source code
+ tree-sitter-vimdoc is a tree-sitter grammar for Vimdoc.
+ .
+ Tree-sitter is a parser generator and incremental parsing library.
+ .
+ This package contains the source for the Rust tree-sitter-vimdoc crate,
+ packaged for use with cargo.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 export DEB_VERSION_UPSTREAM
 export TREE_SITTER_SRC_DIR = /usr/src/tree-sitter/vimdoc/${DEB_VERSION_UPSTREAM}/
+export PREFIX = /usr
 
 %:
 	dh $@
@@ -13,9 +14,15 @@
 
 override_dh_auto_build:
 	tree-sitter generate --no-bindings
+	dh_auto_build --buildsystem=rust
+
+# Do not run Makefile install
+override_dh_auto_install:
+	dh_auto_install --buildsystem=rust
 
 override_dh_install: debian/Makefile
 	dh_install
 
 override_dh_auto_test:
 	XDG_CACHE_HOME=$(CURDIR)/debian/.cache tree-sitter test
+	dh_auto_test --buildsystem=rust

## tree-sitter-vimdoc 4.0.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION := 3.0.0
+VERSION := 4.0.0
 
 LANGUAGE_NAME := tree-sitter-vimdoc

=== debian/changelog ===
tree-sitter-vimdoc (4.0.0-2) unstable; urgency=medium

  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Mon, 13 Oct 2025 20:58:59 -0400

tree-sitter-vimdoc (4.0.0-1) experimental; urgency=medium

  * New upstream release
  * Generate parser using the same language ABI as upstream's release

 -- James McCoy <jamessan@debian.org>  Wed, 03 Sep 2025 22:26:07 -0400

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
  debhelper-compat (= 13),
  dh-sequence-rust,
  librust-cc-1+default-dev (>= 1.0.89),
- librust-tree-sitter-0+default-dev (>= 0.21),
+ librust-tree-sitter-0+default-dev (>= 0.25),
  nodejs,
  rustc:native,
- tree-sitter-cli (>= 0.21),
+ tree-sitter-cli (>= 0.25),
 Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/neovim/tree-sitter-vimdoc/
@@ -25,7 +25,7 @@
  ${misc:Depends},
  gcc,
  libc6-dev | libc-dev,
- libtree-sitter-dev (>= 0.21),
+ libtree-sitter-dev (>= 0.25),
  make,
  pkgconf,
 Description: Vim help file parser for Tree-sitter (source files)
@@ -38,16 +38,16 @@
 Multi-Arch: same
 Depends:
  librust-cc-1+default-dev (>= 1.0.89),
- librust-tree-sitter-0+default-dev (>= 0.21),
+ librust-tree-sitter-0+default-dev (>= 0.25),
  ${misc:Depends},
 Provides:
  librust-tree-sitter-vimdoc+default-dev (= ${binary:Version}),
- librust-tree-sitter-vimdoc-3-dev (= ${binary:Version}),
- librust-tree-sitter-vimdoc-3+default-dev (= ${binary:Version}),
- librust-tree-sitter-vimdoc-3.0-dev (= ${binary:Version}),
- librust-tree-sitter-vimdoc-3.0+default-dev (= ${binary:Version}),
- librust-tree-sitter-vimdoc-3.0.0-dev (= ${binary:Version}),
- librust-tree-sitter-vimdoc-3.0.0+default-dev (= ${binary:Version}),
+ librust-tree-sitter-vimdoc-4-dev (= ${binary:Version}),
+ librust-tree-sitter-vimdoc-4+default-dev (= ${binary:Version}),
+ librust-tree-sitter-vimdoc-4.0-dev (= ${binary:Version}),
+ librust-tree-sitter-vimdoc-4.0+default-dev (= ${binary:Version}),
+ librust-tree-sitter-vimdoc-4.0.0-dev (= ${binary:Version}),
+ librust-tree-sitter-vimdoc-4.0.0+default-dev (= ${binary:Version}),
 Description: Vimdoc grammar for the tree-sitter parser - Rust source code
  tree-sitter-vimdoc is a tree-sitter grammar for Vimdoc.
  .

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 export DEB_VERSION_UPSTREAM
 export TREE_SITTER_SRC_DIR = /usr/src/tree-sitter/vimdoc/${DEB_VERSION_UPSTREAM}/
-export PREFIX = /usr
 
 %:
 	dh $@
@@ -13,7 +12,7 @@
 	sed "s/@PARSER_VER@/$(DEB_VERSION_UPSTREAM)/g" $< > $@
 
 override_dh_auto_build:
-	tree-sitter generate --no-bindings
+	tree-sitter generate --abi $(shell sed -n 's/#define LANGUAGE_VERSION //p' src/parser.c)
 	dh_auto_build --buildsystem=rust
 
 # Do not run Makefile install

=== debian/tests/control ===
Tests: smoke
Depends: tree-sitter-cli, tree-sitter-vimdoc-src

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-vimdoc 4.0.0 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-vimdoc-dev:@,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.25),
 librust-tree-sitter-vimdoc-4.0-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-vimdoc 4.0.0 --all-targets
Features:
 test-name=librust-tree-sitter-vimdoc-dev:default,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.25),
 librust-tree-sitter-vimdoc-4.0+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-vimdoc 4.0.0 --all-targets --no-default-features
Features:
 test-name=librust-tree-sitter-vimdoc-dev:,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.25),
 librust-tree-sitter-vimdoc-4.0-dev,
Restrictions:
 allow-stderr,
